# Build a Survey Form

## Objective

Build an app that is functionally similar to https://survey-form.freecodecamp.rocks

## User Stories

1. You should have a page title in an `h1` element with an `id` of `title`
2. You should have a short explanation in a `p` element with an `id` of `description`
3. You should have a `form` element with an `id` of `survey-form`
4. Inside the form element, you are required to enter your name in an `input` field that has an `id` of `name` and a `type` of `text`
5. Inside the form element, you are required to enter your email in an `input` field that has an `id` of `email`
6. If you enter an email that is not formatted correctly, you will see an HTML5 validation error
7. Inside the form, you can enter a number in an `input` field that has an `id` of `number`
8. If you enter non-numbers in the number input, you will see an HTML5 validation error
9. If you enter numbers outside the range of the number input, which are defined by the `min` and `max` attributes, you will see an HTML5 validation error
10. For the name, email, and number input fields, you can see corresponding `label` elements in the form, that describe the purpose of each field with the following ids: `id="name-label"`, `id="email-label"`, and `id="number-label"`
11. For the name, email, and number input fields, you can see placeholder text that gives a description or instructions for each field
12. Inside the form element, you should have a `select` dropdown element with an `id` of `dropdown` and at least two options to choose from
13. Inside the form element, you can select an option from a group of at least two radio buttons that are grouped using the `name` attribute
14. Inside the form element, you can select several fields from a series of checkboxes, each of which must have a `value` attribute
15. Inside the form element, you are presented with a `textarea` for additional comments
16. Inside the form element, you are presented with a button with `id` of `submit` to submit all the inputs

Fulfill the user stories and pass all the tests below to complete this project. Give it your own personal style. Happy Coding!

Note: Be sure to add `<link rel="stylesheet" href="styles.css">` in your HTML to link your stylesheet and apply your CSS
